Developer Dashboard

Back to Model Explorer

GroqAvailable on AvalAI

groq.llama-4-maverick-17b-128e-instruct API on AvalAI

groq.llama-4-maverick-17b-128e-instruct

groq.llama-4-maverick-17b-128e-instruct is an AI model from Meta that is available through AvalAI's OpenAI-compatible API.

Price display scale
Input price$0.20 / 1M tokens
Output price$0.60 / 1M tokens
Context window131,072 tokens
Maximum output8,192 tokens

Use groq.llama-4-maverick-17b-128e-instruct with the AvalAI API

Keep the API key in an environment variable and send requests from server-side code.

bash
curl https://api.avalai.ir/v1/chat/completions \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $AVALAI_API_KEY" \
  -d '{"model": "groq.llama-4-maverick-17b-128e-instruct", "messages": [{"role": "user", "content": "Give a concise, practical solution."}]}'
python
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ["AVALAI_API_KEY"],
    base_url="https://api.avalai.ir/v1",
)

response = client.chat.completions.create(
    model="groq.llama-4-maverick-17b-128e-instruct",
    messages=[{"role": "user", "content": "Give a concise, practical solution."}],
)

print(response.choices[0].message.content)
javascript
import OpenAI from "openai";

const client = new OpenAI({
  apiKey: process.env.AVALAI_API_KEY,
  baseURL: "https://api.avalai.ir/v1",
});

const response = await client.chat.completions.create({
  model: "groq.llama-4-maverick-17b-128e-instruct",
  messages: [{ role: "user", content: "Give a concise, practical solution." }],
});

console.log(response.choices[0].message.content);

Create an API keyRead the quickstart

Capabilities and endpoints

  • Function calling
  • Structured output
  • Tool choice

groq.llama-4-maverick-17b-128e-instruct rate limits

TierRPMTPM
Basic110,000
Tier 150100,000
Tier 275150,000
Tier 3250200,000
Tier 4500250,000
Tier 51,000300,000

Frequently asked questions

What is the groq.llama-4-maverick-17b-128e-instruct API on AvalAI?

Create an AvalAI API key and send the model ID groq.llama-4-maverick-17b-128e-instruct to one of the supported endpoints shown on this page.

How much does the groq.llama-4-maverick-17b-128e-instruct API cost on AvalAI?

The groq.llama-4-maverick-17b-128e-instruct API on AvalAI costs $0.20 per 1M input tokens and $0.60 per 1M output tokens.

What is the token cost for groq.llama-4-maverick-17b-128e-instruct?

Current AvalAI pricing for groq.llama-4-maverick-17b-128e-instruct is $0.20 / 1M tokens for input and $0.60 / 1M tokens for output.

What is the groq.llama-4-maverick-17b-128e-instruct context window?

The recorded maximum input context for groq.llama-4-maverick-17b-128e-instruct is 131,072 tokens.

What are the rate limits for groq.llama-4-maverick-17b-128e-instruct on AvalAI?

On tier 5, groq.llama-4-maverick-17b-128e-instruct on AvalAI supports up to 1,000 requests per minute and 300,000 tokens per minute.

What features does groq.llama-4-maverick-17b-128e-instruct support on AvalAI?

groq.llama-4-maverick-17b-128e-instruct on AvalAI supports Function calling, Structured output, Tool choice.

What account tier is required to use groq.llama-4-maverick-17b-128e-instruct on AvalAI?

Calling groq.llama-4-maverick-17b-128e-instruct on AvalAI requires the Basic tier (tier 0) or higher.

Third-party data and freshness

  • Pricing, availability, endpoints, and rate limits: AvalAI structured data (authoritative)